jif.extension

## Class JifDel_c

- java.lang.Object
- - polyglot.ast.JLDel_c
  - - jif.extension.JifDel_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JifDel, polyglot.ast.JLDel, polyglot.ast.NodeOps, polyglot.util.Copy<polyglot.ast.JLDel>
  Direct Known Subclasses:
    JifArrayAccessDel, JifArrayInitDel, JifAssignDel, JifBinaryDel, JifCallDel, JifCastDel, JifCatchDel, JifClassDeclDel, JifConstructorCallDel, JifFieldDeclDel, JifFieldDel, JifFormalDel, JifIfDel, JifInitializerDel, JifInstanceOfDel, JifLocalDeclDel, JifNewArrayDel, JifNewDel, JifProcedureDeclDel, JifThrowDel, JifTypeNodeDel

      public class JifDel_c
      extends polyglot.ast.JLDel_c
      implements JifDel

  An implementation of the `Jif` interface.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Set<polyglot.types.Type>` | `fatalExceptions`

    - ### Fields inherited from class polyglot.ast.JLDel_c

      `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JifDel_c()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.ast.Node` | `buildTypes(polyglot.visit.TypeBuilder tb)`
    `java.util.Set<polyglot.types.Type>` | `fatalExceptions()` Get the exceptions thrown by this node that are treated as fatal.
    `void` | `setFatalExceptions(polyglot.types.TypeSystem ts, polyglot.util.SubtypeSet fatalExceptions)` Set the exceptions thrown by this node that are treated as fatal.
    `java.util.List<polyglot.types.Type>` | `throwTypes(polyglot.types.TypeSystem ts)`
    `void` | `translate(polyglot.util.CodeWriter w, polyglot.visit.Translator tr)`

    - ### Methods inherited from class polyglot.ast.JLDel_c

      `addDecls, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, init, jl, lang, node, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fatalExceptions

          protected java.util.Set<polyglot.types.Type> fatalExceptions

  - ### Constructor Detail

    - #### JifDel_c

          public JifDel_c()

  - ### Method Detail

    - #### setFatalExceptions

          public void setFatalExceptions(polyglot.types.TypeSystem ts,
                                         polyglot.util.SubtypeSet fatalExceptions)

      Set the exceptions thrown by this node that are treated as fatal.
      Specified by:
        `setFatalExceptions` in interface `JifDel`

    - #### fatalExceptions

          public java.util.Set<polyglot.types.Type> fatalExceptions()

      Get the exceptions thrown by this node that are treated as fatal.
      Specified by:
        `fatalExceptions` in interface `JifDel`

    - #### buildTypes

          public polyglot.ast.Node buildTypes(polyglot.visit.TypeBuilder tb)
                                       throws polyglot.types.SemanticException

      Specified by:
        `buildTypes` in interface `polyglot.ast.NodeOps`
      Overrides:
        `buildTypes` in class `polyglot.ast.JLDel_c`
      Throws:
        `polyglot.types.SemanticException`

    - #### translate

          public void translate(polyglot.util.CodeWriter w,
                                polyglot.visit.Translator tr)

      Specified by:
        `translate` in interface `polyglot.ast.NodeOps`
      Overrides:
        `translate` in class `polyglot.ast.JLDel_c`

    - #### throwTypes

          public java.util.List<polyglot.types.Type> throwTypes(polyglot.types.TypeSystem ts)

      Specified by:
        `throwTypes` in interface `polyglot.ast.NodeOps`
      Overrides:
        `throwTypes` in class `polyglot.ast.JLDel_c`